org.jacoco.report.internal.html.table

## Interface IColumnRenderer

All Known Implementing Classes:
  BarColumn, CounterColumn, LabelColumn, PercentageColumn

    public interface IColumnRenderer

Renderer for a single column of a coverage table. The methods are always called in the sequence `init header footer item*`. Implementations might be stateful.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `footer(HTMLElement td, ICoverageNode total, Resources resources, ReportOutputFolder base)` Renders the footer for this column.
`Comparator<ITableItem>` `getComparator()` Returns the comparator to sort this table column.
`boolean` `init(List<? extends ITableItem> items, ICoverageNode total)` Initializes the column before any output method is called.
`void` `item(HTMLElement td, ITableItem item, Resources resources, ReportOutputFolder base)` Renders a single item in this column.

### Method Detail

#### init

    boolean init(List<? extends ITableItem> items,
                 ICoverageNode total)

Initializes the column before any output method is called.

Parameters:
  `items` - all items that will be displayed in the table
  `total` - the summary of all coverage data items in the table
Returns:
  `true` if the column should be visible

#### footer

    void footer(HTMLElement td,
                ICoverageNode total,
                Resources resources,
                ReportOutputFolder base)
         throws IOException

Renders the footer for this column.

Parameters:
  `td` - the parent table cell
  `total` - the summary of all coverage data items in the table
  `resources` - static resources that might be referenced
  `base` - base folder of the table
Throws:
  `IOException` - in case of IO problems with the element output

#### item

    void item(HTMLElement td,
              ITableItem item,
              Resources resources,
              ReportOutputFolder base)
       throws IOException

Renders a single item in this column.

Parameters:
  `td` - the parent table cell
  `item` - the item to display
  `resources` - static resources that might be referenced
  `base` - base folder of the table
Throws:
  `IOException` - in case of IO problems with the element output

#### getComparator

    Comparator<ITableItem> getComparator()

Returns the comparator to sort this table column.

Returns:
  comparator for this column